@import '../variables.scss';

.modal {
  background-color: #fff;
  padding: 1.5rem;
  border-radius: 0.25rem;
  border: 1px solid $gray;
  width: 100%;
  margin: 1rem;

  &-container {
    display: flex;
    align-items: center;
    justify-content: center;
    position: fixed;
    z-index: 1;
    top:0;
    left: 0;
    right: 0;
    bottom: 0;
    animation-name: unfoldInd;
    animation-duration: 1s
  }

  &-background {
    position: absolute;
    width: 100%;
    height: 100%;
    z-index: -1;
    background-color: rgba(#000, 0.35);
  }

  &__button {
    background-color: rgba($blue, 0.8);
    color: #fff;
    height: 2rem;
    border-radius: 0.25rem;
    font-size: 0.75rem;
    text-transform: uppercase;
    margin-top: 1.5rem;
    width: 100%;

  }

  .input {
    &-group {
      margin-top: 0;
    }

    &-label {
      margin-bottom: 1.5rem;
    }
  }
}

@media (min-width: $lg) {
  .modal {
    width: 36rem;

    &__button {
      width: initial;
      margin-top: 2rem;
      padding: 0 2rem;
      float: right;
    }
  }
}

@media (min-width: $xl) {
  .modal {
    width: 46rem;
  }
}

@keyframes unfoldIn {
  0% {
    transform:scaleY(.005) scaleX(0);
  }
  50% {
    transform:scaleY(.005) scaleX(1);
  }
  100% {
    transform:scaleY(1) scaleX(1);
  }
}

@keyframes unfoldOut {
  0% {
    transform:scaleY(1) scaleX(1);
  }
  50% {
    transform:scaleY(.005) scaleX(1);
  }
  100% {
    transform:scaleY(.005) scaleX(0);
  }
}
